﻿.loading-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background: #fff;
    z-index: 10001;
    /*padding-left: auto;
    padding-top: 50%;*/
}

.loading-spinner {
    margin-left: 50%;
    margin-top: 25%;
}

/* Backdrop for if image doesnt load */
.picc-login-container-background {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 9999;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background: #1c567d;
}

.picc-login-container {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10000;
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    background: url(../images/cloudcomputing.jpg) no-repeat;
    background-size: 100% 100%;
}

.osi-logo {
    background-image: url(../images/osisoft-logo.png);
    position: absolute;
    top: 25px;
    left: 25px;
    height: 44px;
    width: 125px;
}

.picc-logo {
    background-image: url(../images/cloud_icon.svg);
    background-repeat: no-repeat;
    width: 35px;
    height: 30px;
    position: absolute;
    top: 12px;
    left: 20px;
}

.picc-login-popover {
    width: 300px;
    background-color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    margin-left: -150px;
    margin-top: -175px;
    box-shadow: rgba(0, 0, 0, 0.75) 0px 2px 10px;
    border-radius: 3px;
}

.picc-login-popover-title {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    color: #7f8c8d;
    background: #2C3E50;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    height: 50px;
}

.picc-login-popover-title .title-text {
    position: absolute;
    top: 16px;
    left: 60px;
    color: #ecf0f1;
}

.remember-tenant-section {
    margin-top: 50px;
    text-align: center;
}

.tenant-label {
    padding: 10px 25px;
}

.picc-login-btn,
.picc-login-input{
    display: inline-block;
    width: 250px;
    height: 40px;
    margin: 10px 25px 0 25px;
    border: 1px solid #7f8c8d;
    border-radius: 3px;
    vertical-align: middle;
    color: black;
}

.picc-login-input {
    padding: 0 6px;
    width: 236px;
    font-size: 14px;
}

.picc-login-btn {
    margin-top: 5px;
    background: #8E44AD;
    color: #FFF;
}

.picc-login-btn:hover {
    background: #9B59B6;
}

.picc-login-btn:disabled {
    background: #8E44AD !important;
}

#login-saved-tenant-section button:last-of-type {
    margin-bottom: 10px;
}
